summaryrefslogtreecommitdiffstats
path: root/libraries/podofo/podofo.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/podofo/podofo.SlackBuild')
-rw-r--r--libraries/podofo/podofo.SlackBuild89
1 files changed, 89 insertions, 0 deletions
diff --git a/libraries/podofo/podofo.SlackBuild b/libraries/podofo/podofo.SlackBuild
new file mode 100644
index 0000000000..e7a0e030fa
--- /dev/null
+++ b/libraries/podofo/podofo.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for podofo
+
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=podofo
+VERSION=${VERSION:-0.7.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Determine if we use Boost. Default is no.
+HAVE_BOOST=${HAVE_BOOST:-no}
+
+# I changed the default LIBDIRSUFFIX to TRUE/FALSE because
+# cmake chooses it for us with -DWANT_LIB64:BOOL.
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX="FALSE"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX="FALSE"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="TRUE"
+ HAVE_BOOST=yes
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+if [ $HAVE_BOOST == "no" ]; then
+ USE_BOOST="0"
+else
+ USE_BOOST="1"
+fi
+
+mkdir build && cd build
+ cmake -G "Unix Makefiles" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DPODOFO_BUILD_STATIC:BOOL=FALSE \
+ -DPODOFO_BUILD_SHARED:BOOL=TRUE \
+ -DPODOFO_USE_VISIBILITY=1 \
+ -DWANT_BOOST:BOOL=$USE_BOOST \
+ -DWANT_LIB64:BOOL=$LIBDIRSUFFIX \
+ -DCMAKE_BUILD_TYPE=Release ..
+
+ make
+ make install DESTDIR=$PKG
+cd -
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog CODING* COPYING* FAQ* INSTALL README* TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz